--- pkg_data_src.gpt.orig	2006-11-22 01:19:42.000000000 +0100
+++ pkg_data_src.gpt	2006-11-22 01:19:43.000000000 +0100
@@ -1,23 +1,20 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE gpt_package_metadata SYSTEM "package.dtd">
+<gpt_package_metadata Format_Version="0.01" Name="globus_openldap">
 
-<gpt_package_metadata Format_Version="0.01" Name="globus_openldap" >
-
-  <Aging_Version Age="0" Major="0" Minor="13" />
+  <Aging_Version Age="0" Major="0" Minor="13"/>
   <Description> Globus binary package openldap version 2.0.22 with patches </Description>
-  <Functional_Group >MDS</Functional_Group>
-  <Version_Stability Release="Beta2" />
+  <Functional_Group>MDS</Functional_Group>
+  <Version_Stability Release="Beta2"/>
 
-  <src_pkg >
+  <src_pkg>
 
-    <Build_Environment >
-      <cflags ></cflags>
-      <external_includes ></external_includes>
-      <pkg_libs >-lldap_$GLOBUS_FLAVOR_NAME -llber_$GLOBUS_FLAVOR_NAME -llutil_$GLOBUS_FLAVOR_NAME</pkg_libs>
-      <external_libs ></external_libs>
+    <Build_Environment>
+      <cflags/>
+      <external_includes/>
+      <pkg_libs>-lldap_$GLOBUS_FLAVOR_NAME -llber_$GLOBUS_FLAVOR_NAME -llutil_$GLOBUS_FLAVOR_NAME</pkg_libs>
+      <external_libs/>
     </Build_Environment>
 
-    <With_Flavors build="yes" />
+    <With_Flavors build="yes"/>
 
     <Version_Label>2.0.22</Version_Label>
 
@@ -21,48 +18,26 @@
 
     <Version_Label>2.0.22</Version_Label>
 
-    <Source_Dependencies Type="compile" >
-      <Dependency Name="globus_cyrus-sasl"><Version><Simple_Version Major="0"></Simple_Version></Version></Dependency>
-      <Dependency Name="globus_openssl"><Version><Simple_Version Major="1"></Simple_Version></Version></Dependency>
-      <Dependency Name="globus_libtool"><Version><Simple_Version Major="1"></Simple_Version></Version></Dependency>
+    <Source_Dependencies Type="compile">
+      <Dependency Name="globus_cyrus-sasl"><Version><Simple_Version Major="0"/></Version></Dependency>
+      <Dependency Name="globus_openssl"><Version><Simple_Version Major="1"/></Version></Dependency>
+      <Dependency Name="globus_libtool"><Version><Simple_Version Major="1"/></Version></Dependency>
     </Source_Dependencies>
 
-    <Source_Dependencies Type="lib_link" >
-      <Dependency Name="globus_cyrus-sasl"><Version><Simple_Version Major="0"></Simple_Version></Version></Dependency>
-      <Dependency Name="globus_libtool"><Version><Simple_Version Major="1"></Simple_Version></Version></Dependency>
+    <Source_Dependencies Type="lib_link">
+      <Dependency Name="globus_cyrus-sasl"><Version><Simple_Version Major="0"/></Version></Dependency>
+      <Dependency Name="globus_libtool"><Version><Simple_Version Major="1"/></Version></Dependency>
     </Source_Dependencies>
 
-    <Source_Dependencies Type="pgm_link" >
-	<Dependency Name="globus_libtool"><Version><Simple_Version Major="1"></Simple_Version></Version></Dependency>
-        <Dependency Name="globus_openldap"><Version><Simple_Version Major="0"></Simple_Version></Version></Dependency>
+    <Source_Dependencies Type="pgm_link">
+	<Dependency Name="globus_libtool"><Version><Simple_Version Major="1"/></Version></Dependency>
     </Source_Dependencies> 
 
     <Build_Instructions>
-
-      <Build_Step Macro_Args="libs='ssl crypto sasl lber ldap ldap_r ltdl lutil'">RUN_FLAVOR_MAKEFILES_GPTMACRO</Build_Step>
-      <Build_Step> MAKE_GPTMACRO distclean</Build_Step>
-      <Build_Step> CONFIGOPTS=""
-	FlavorIsDebug=`echo CONFIGOPTS_GPTMACRO | grep 'enable-debug'`;
-	if test "x$FlavorIsDebug" = "x"; then
-	CONFIGOPTS="$CONFIGOPTS --disable-debug"
-	fi
-	FlavorIsPthreads=`echo CONFIGOPTS_GPTMACRO | grep pthreads`;
-	if test "x$FlavorIsPthreads" = "x"; then
-	CONFIGOPTS="$CONFIGOPTS --without-threads"
-	fi
-	if test "STATIC_LINK_GPTMACRO" = "yes"; then
-		echo "ERROR: globus_openldap has to be built with dynamic libraries"
-		exit 1
-	fi
-	#echo "HERE ARE THE OPTIONS[$CONFIGOPTS]";
-      CONFIGENV_GPTMACRO ac_cv_func_getaddrinfo="no" ./configure --prefix=INSTALLDIR_GPTMACRO $CONFIGOPTS --with-cyrus-sasl --enable-debug --enable-aci --enable-dynamic --enable-modules --enable-ldif --with-ldif-module=dynamic --with-lutil-module=dynamic --enable-shell --disable-ldbm</Build_Step>
-      <Build_Step> MAKE_GPTMACRO depend</Build_Step>
-      <Build_Step> MAKE_GPTMACRO</Build_Step>
-      <Build_Step> MAKE_GPTMACRO DESTDIR_GPTMACRO install</Build_Step>
-      <Build_Step> RUN_FLAVOR_INSTALL_GPTMACRO</Build_Step>
-
-    </Build_Instructions>
-
-  </src_pkg >
+	<Build_Step Macro_Args="libs='lber ldap ldap_r lutil'">RUN_FLAVOR_MAKEFILES_GPTMACRO</Build_Step>
+	<Build_Step>MAKE_GPTMACRO distclean</Build_Step>
+	<Build_Step>CONFIGENV_GPTMACRO ac_cv_func_getaddrinfo="no" ./configure --without-cyrus-sasl --enable-debug --enable-aci --enable-dynamic --enable-modules --enable-ldif --with-ldif-module=dynamic --with-lutil-module=dynamic --enable-shell --disable-bdb --disable-ldbm --disable-crypt --with-flavor=FLAVOR_GPTMACRO --with-threads</Build_Step>
+	<Build_Step>MAKE_GPTMACRO</Build_Step>
+</Build_Instructions></src_pkg>
 
 </gpt_package_metadata>
